Bug 323006 - "Show FPS effect" draws background graphic but shows no Text (FPS) when using XRender
Summary: "Show FPS effect" draws background graphic but shows no Text (FPS) when using...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-various (show other bugs)
Version: 4.10.95
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: 5
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/111...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-30 14:31 UTC by dgdanielf
Modified: 2013-08-05 19:01 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11
thomas.luebking: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dgdanielf 2013-07-30 14:31:02 UTC
The effect works only correctly with the OpenGL backend (Graphic and FPS text label). When using XRender, no text label is drawn. 

Reproducible: Always
Comment 1 Martin Flöser 2013-07-31 05:54:27 UTC
Yes that's to be expected as the text is only drawn in OpenGL. I think I added 
the number in the QPainter compositor (for next version) and that should make 
it possible to add the number also for XRender.
Comment 2 Thomas Lübking 2013-08-05 19:01:59 UTC
Git commit 61c5a801ba75d51ee17e53e13250d9151c7923e3 by Thomas Lübking.
Committed on 04/08/2013 at 12:50.
Pushed by luebking into branch 'KDE/4.11'.

support fps counter text on xrender
FIXED-IN: 4.11
REVIEW: 111878

M  +25   -15   kwin/effects/showfps/showfps.cpp
M  +1    -1    kwin/effects/showfps/showfps.h

http://commits.kde.org/kde-workspace/61c5a801ba75d51ee17e53e13250d9151c7923e3